# ~~~project_title~~~

It's up to you to write the description of the project. If you just cloned this
repo and see this it means you can `git blame` the README and go explain to the
person who committed this that it's mandatory to write documentation 😇

## Installation & Usage

This project is built upon [Model W](https://model-w.rtfd.io/). Hence, all
conventions apply.

In particular this was created using the
[Project Maker](https://github.com/ModelW/project-maker).

> **Note** &mdash; Don't forget to read the part about
> [Django Models Customization](https://github.com/modelw/project-maker#django-models-customization).

## Documentation

The documentation of this project follows the
[Code Guidelines](https://with-codeguidelines.readthedocs-hosted.com/en/latest/documentation.html)
from WITH.

### Components

This project is composed of the following components:

-   [API](./api) &mdash; The back-end of the project, mostly serving as API and
    back-office admin. Most of the time, URLs targeting the API are prefixed by
    `/back`.
-   [Front](./front) &mdash; The front-end, which renders all the
    customer-facing pages. It covers the rest of URLs.

### Writing more of it

If you feel like the Model W documentation is not enough:

-   If it's a generic problem, open a PR to Model W documentation so that all
    Model W users can benefit from your improvements in the documentation.
-   If not feel free to directly change the documentation of your project.
